apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sascha Schumann <sas...@schumann.cx>
Subject Re: apr/apr-util python dependence
Date Fri, 20 Feb 2004 10:27:29 GMT
    Please get your facts straight.

> > httpd is still just as "buildable" on such platforms regardless of
> > gen-build.py: from the release tarballs.  Building from a CVS checkout
> > cannot be done without extra tools, but that has always been true in
> > 2.0: you need libtool and autoconf (not to mention the CVS client).
> > Hell, autoconf itself has required Perl and GNU m4 for the last
> > three-odd years.

    autoconf does not use perl.

    You are probably thinking of automake which indeed depends on
    perl.  automake has never been used in httpd.

    (autoconf contains supplemental tools (autoscan.pl) for
    upgrades between major autoconf releases.  These are not part
    of the normal toolchain.)

> Then the decision is made right there. Apache requires libtool to build
> from CVS. Libtool Requires Perl.

    libtool does not require perl.

    - Sascha

Mime
View raw message